<ul class="main-nav__flyout"
    v-if="sections && sections.length > 0"
    @keydown.down="selectNextLink"
    @keydown.tab.exact="selectNextLink"
    @keydown.up="selectPrevLink"
    @keydown.tab.shift.exact="selectPrevLink"
    @keydown.right="selectNextSection($event, true)"
    @keydown.left="selectPrevSection($event, true)"
    @mouseenter.stop="open">
    <flyout-section ref="sections"
        v-for="(section, key) in sections"
        v-if="section.links && section.links.length"
        v-bind="section"

        :is-compact="isCompact"
        :key="key"

        @close="$emit('close')"
        >
    </flyout-section>
</ul>
